Issue 121430 - Import bug with Word .docx Bold Format in Table
Summary: Import bug with Word .docx Bold Format in Table
Status: RESOLVED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: 3.4.1
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 121500
  Show dependency tree
 
Reported: 2012-12-02 22:46 UTC by slacka
Modified: 2014-01-27 14:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Example of Bold Format in table bug in .docx import (22.43 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-12-02 22:46 UTC, slacka
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description slacka 2012-12-02 22:46:09 UTC
Created attachment 79985 [details]
Example of Bold Format in table bug in .docx import

This bug was found in a OO v3.4.1 running in windows7 and Linux. It appears that
OpenOffice loses formatting when importing MS Office Open XML .docx files with
bullet or numbered lists. I have attached an example.

Steps to reproduce the bug:
1. Open attached TableBoldFormatError.docx document in oowriter-3.4.1
2. Open attached TableBoldFormatError.docx in Word2007
3. Compare the documents. 

Notice the bold format code is lost in the last line of the table.
Comment 1 binguo 2012-12-21 06:49:24 UTC
Marked it as Confirm.
Comment 2 slacka 2014-01-27 14:30:46 UTC
This bug was fixed in AOO 4.0. Nice work team!